def predict(data={}):
    """ Predictor for how_do_you_like_your_steak_prepared_ from model/5421d7c9c4063721920061f9

        Predictive model by BigML - Machine Learning Made Easy
    """
    if (data.get('education') is None):
        return u'Medium rare'
    if (data['education'] == 'Graduate degree'):
        if (data.get('age') is None):
            return u'Medium rare'
        if (data['age'] == '30-44'):
            if (data.get('location_census_region_') is None):
                return u'Medium rare'
            if (data['location_census_region_'] == 'Middle Atlantic'):
                if (data.get('do_you_ever_gamble_') is None):
                    return u'Medium'
                if (data['do_you_ever_gamble_'] == 'Yes'):
                    return u'Medium'
                if (data['do_you_ever_gamble_'] != 'Yes'):
                    if (data.get('household_income') is None):
                        return u'Medium'
                    if (data['household_income'] == '$50,000 - $99,999'):
                        return u'Medium'
                    if (data['household_income'] != '$50,000 - $99,999'):
                        return u'Medium Well'
            if (data['location_census_region_'] != 'Middle Atlantic'):
                if (data['location_census_region_'] == 'West North Central'):
                    if (data.get('gender') is None):
                        return u'Medium'
                    if (data['gender'] == 'Male'):
                        return u'Medium rare'
                    if (data['gender'] != 'Male'):
                        return u'Medium'
                if (data['location_census_region_'] != 'West North Central'):
                    if (data['location_census_region_'] == 'East North Central'):
                        if (data.get('household_income') is None):
                            return u'Medium Well'
                        if (data['household_income'] == '$50,000 - $99,999'):
                            if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                return u'Medium Well'
                            if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                return u'Well'
                            if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                return u'Medium Well'
                        if (data['household_income'] != '$50,000 - $99,999'):
                            return u'Medium Well'
                    if (data['location_census_region_'] != 'East North Central'):
                        if (data.get('lottery_a_or_lottery_b_') is None):
                            return u'Medium rare'
                        if (data['lottery_a_or_lottery_b_'] == 'Lottery B'):
                            if (data.get('household_income') is None):
                                return u'Medium rare'
                            if (data['household_income'] == '$150,000+'):
                                return u'Medium Well'
                            if (data['household_income'] != '$150,000+'):
                                return u'Medium rare'
                        if (data['lottery_a_or_lottery_b_'] != 'Lottery B'):
                            if (data.get('household_income') is None):
                                return u'Medium Well'
                            if (data['household_income'] == '$50,000 - $99,999'):
                                return u'Medium Well'
                            if (data['household_income'] != '$50,000 - $99,999'):
                                return u'Medium rare'
        if (data['age'] != '30-44'):
            if (data.get('household_income') is None):
                return u'Medium rare'
            if (data['household_income'] == '$100,000 - $149,999'):
                if (data.get('location_census_region_') is None):
                    return u'Medium rare'
                if (data['location_census_region_'] == 'East South Central'):
                    return u'Medium Well'
                if (data['location_census_region_'] != 'East South Central'):
                    if (data['age'] == '45-60'):
                        if (data['location_census_region_'] == 'East North Central'):
                            return u'Medium rare'
                        if (data['location_census_region_'] != 'East North Central'):
                            return u'Rare'
                    if (data['age'] != '45-60'):
                        return u'Medium rare'
            if (data['household_income'] != '$100,000 - $149,999'):
                if (data.get('lottery_a_or_lottery_b_') is None):
                    return u'Medium rare'
                if (data['lottery_a_or_lottery_b_'] == 'Lottery B'):
                    if (data['age'] == '18-29'):
                        if (data['household_income'] == '$50,000 - $99,999'):
                            return u'Medium Well'
                        if (data['household_income'] != '$50,000 - $99,999'):
                            return u'Medium rare'
                    if (data['age'] != '18-29'):
                        if (data['household_income'] == '$150,000+'):
                            if (data['age'] == '45-60'):
                                return u'Medium'
                            if (data['age'] != '45-60'):
                                if (data.get('location_census_region_') is None):
                                    return u'Medium Well'
                                if (data['location_census_region_'] == 'South Atlantic'):
                                    return u'Medium rare'
                                if (data['location_census_region_'] != 'South Atlantic'):
                                    return u'Medium Well'
                        if (data['household_income'] != '$150,000+'):
                            if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                                return u'Medium rare'
                            if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                                if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                    return u'Medium rare'
                                if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                    if (data.get('location_census_region_') is None):
                                        return u'Medium rare'
                                    if (data['location_census_region_'] == 'Middle Atlantic'):
                                        return u'Medium'
                                    if (data['location_census_region_'] != 'Middle Atlantic'):
                                        if (data.get('gender') is None):
                                            return u'Medium rare'
                                        if (data['gender'] == 'Male'):
                                            return u'Medium rare'
                                        if (data['gender'] != 'Male'):
                                            if (data['location_census_region_'] == 'West South Central'):
                                                return u'Medium rare'
                                            if (data['location_census_region_'] != 'West South Central'):
                                                if (data['household_income'] == '$50,000 - $99,999'):
                                                    if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                                        return u'Medium'
                                                    if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                                        if (data.get('do_you_ever_drink_alcohol_') is None):
                                                            return u'Medium'
                                                        if (data['do_you_ever_drink_alcohol_'] == 'Yes'):
                                                            if (data['location_census_region_'] == 'Pacific'):
                                                                return u'Medium'
                                                            if (data['location_census_region_'] != 'Pacific'):
                                                                if (data['age'] == '45-60'):
                                                                    return u'Medium rare'
                                                                if (data['age'] != '45-60'):
                                                                    if (data['location_census_region_'] == 'West North Central'):
                                                                        return u'Medium'
                                                                    if (data['location_census_region_'] != 'West North Central'):
                                                                        if (data.get('do_you_ever_gamble_') is None):
                                                                            return u'Medium'
                                                                        if (data['do_you_ever_gamble_'] == 'Yes'):
                                                                            return u'Medium'
                                                                        if (data['do_you_ever_gamble_'] != 'Yes'):
                                                                            return u'Medium rare'
                                                        if (data['do_you_ever_drink_alcohol_'] != 'Yes'):
                                                            return u'Medium rare'
                                                    if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                                        return u'Medium'
                                                if (data['household_income'] != '$50,000 - $99,999'):
                                                    return u'Medium rare'
                                if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                    return u'Medium'
                            if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                                return u'Medium rare'
                if (data['lottery_a_or_lottery_b_'] != 'Lottery B'):
                    if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                        return u'Medium'
                    if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                        if (data.get('do_you_ever_smoke_cigarettes_') is None):
                            return u'Medium'
                        if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                            if (data.get('do_you_ever_gamble_') is None):
                                return u'Medium'
                            if (data['do_you_ever_gamble_'] == 'Yes'):
                                if (data['household_income'] == '$150,000+'):
                                    if (data.get('location_census_region_') is None):
                                        return u'Medium'
                                    if (data['location_census_region_'] == 'Pacific'):
                                        return u'Medium'
                                    if (data['location_census_region_'] != 'Pacific'):
                                        return u'Medium'
                                if (data['household_income'] != '$150,000+'):
                                    return u'Medium rare'
                            if (data['do_you_ever_gamble_'] != 'Yes'):
                                if (data['household_income'] == '$150,000+'):
                                    if (data.get('location_census_region_') is None):
                                        return u'Medium Well'
                                    if (data['location_census_region_'] == 'South Atlantic'):
                                        return u'Rare'
                                    if (data['location_census_region_'] != 'South Atlantic'):
                                        if (data['location_census_region_'] == 'Pacific'):
                                            return u'Medium Well'
                                        if (data['location_census_region_'] != 'Pacific'):
                                            return u'Medium rare'
                                if (data['household_income'] != '$150,000+'):
                                    return u'Medium'
                        if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                            if (data['age'] == '> 60'):
                                return u'Medium Well'
                            if (data['age'] != '> 60'):
                                if (data['household_income'] == '$50,000 - $99,999'):
                                    return u'Rare'
                                if (data['household_income'] != '$50,000 - $99,999'):
                                    return u'Medium rare'
                    if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                        if (data.get('location_census_region_') is None):
                            return u'Rare'
                        if (data['location_census_region_'] == 'East South Central'):
                            return u'Medium'
                        if (data['location_census_region_'] != 'East South Central'):
                            if (data['age'] == '45-60'):
                                if (data['location_census_region_'] == 'South Atlantic'):
                                    return u'Medium Well'
                                if (data['location_census_region_'] != 'South Atlantic'):
                                    return u'Rare'
                            if (data['age'] != '45-60'):
                                return u'Rare'
    if (data['education'] != 'Graduate degree'):
        if (data.get('location_census_region_') is None):
            return u'Medium rare'
        if (data['location_census_region_'] == 'Mountain'):
            if (data.get('lottery_a_or_lottery_b_') is None):
                return u'Medium'
            if (data['lottery_a_or_lottery_b_'] == 'Lottery B'):
                if (data.get('household_income') is None):
                    return u'Medium'
                if (data['household_income'] == '$50,000 - $99,999'):
                    if (data['education'] == 'Bachelor degree'):
                        return u'Well'
                    if (data['education'] != 'Bachelor degree'):
                        return u'Medium rare'
                if (data['household_income'] != '$50,000 - $99,999'):
                    if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                        return u'Medium'
                    if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                        return u'Medium'
                    if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                        return u'Well'
            if (data['lottery_a_or_lottery_b_'] != 'Lottery B'):
                if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                    return u'Medium'
                if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                    if (data.get('do_you_ever_drink_alcohol_') is None):
                        return u'Medium Well'
                    if (data['do_you_ever_drink_alcohol_'] == 'Yes'):
                        return u'Medium Well'
                    if (data['do_you_ever_drink_alcohol_'] != 'Yes'):
                        if (data.get('age') is None):
                            return u'Medium'
                        if (data['age'] == '45-60'):
                            return u'Medium Well'
                        if (data['age'] != '45-60'):
                            return u'Medium'
                if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                    if (data.get('age') is None):
                        return u'Medium'
                    if (data['age'] == '30-44'):
                        if (data['education'] == 'Bachelor degree'):
                            return u'Medium'
                        if (data['education'] != 'Bachelor degree'):
                            return u'Medium rare'
                    if (data['age'] != '30-44'):
                        return u'Medium'
        if (data['location_census_region_'] != 'Mountain'):
            if (data['location_census_region_'] == 'West North Central'):
                if (data.get('do_you_ever_smoke_cigarettes_') is None):
                    return u'Medium rare'
                if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                    if (data.get('do_you_ever_gamble_') is None):
                        return u'Medium rare'
                    if (data['do_you_ever_gamble_'] == 'Yes'):
                        if (data['education'] == 'High school degree'):
                            return u'Medium'
                        if (data['education'] != 'High school degree'):
                            return u'Medium rare'
                    if (data['do_you_ever_gamble_'] != 'Yes'):
                        if (data.get('age') is None):
                            return u'Medium Well'
                        if (data['age'] == '18-29'):
                            return u'Medium'
                        if (data['age'] != '18-29'):
                            if (data.get('household_income') is None):
                                return u'Medium Well'
                            if (data['household_income'] == '$150,000+'):
                                return u'Medium rare'
                            if (data['household_income'] != '$150,000+'):
                                return u'Medium Well'
                if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                    if (data['education'] == 'Some college or Associate degree'):
                        return u'Rare'
                    if (data['education'] != 'Some college or Associate degree'):
                        if (data.get('household_income') is None):
                            return u'Medium'
                        if (data['household_income'] == '$50,000 - $99,999'):
                            return u'Medium Well'
                        if (data['household_income'] != '$50,000 - $99,999'):
                            return u'Medium'
            if (data['location_census_region_'] != 'West North Central'):
                if (data.get('gender') is None):
                    return u'Medium rare'
                if (data['gender'] == 'Male'):
                    if (data['education'] == 'High school degree'):
                        if (data.get('do_you_ever_smoke_cigarettes_') is None):
                            return u'Medium rare'
                        if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                            if (data.get('household_income') is None):
                                return u'Medium rare'
                            if (data['household_income'] == '$25,000 - $49,999'):
                                if (data['location_census_region_'] == 'South Atlantic'):
                                    return u'Medium rare'
                                if (data['location_census_region_'] != 'South Atlantic'):
                                    return u'Well'
                            if (data['household_income'] != '$25,000 - $49,999'):
                                return u'Medium rare'
                        if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                            if (data.get('age') is None):
                                return u'Medium'
                            if (data['age'] == '30-44'):
                                return u'Well'
                            if (data['age'] != '30-44'):
                                return u'Medium'
                    if (data['education'] != 'High school degree'):
                        if (data.get('do_you_ever_gamble_') is None):
                            return u'Medium'
                        if (data['do_you_ever_gamble_'] == 'Yes'):
                            if (data.get('lottery_a_or_lottery_b_') is None):
                                return u'Medium'
                            if (data['lottery_a_or_lottery_b_'] == 'Lottery B'):
                                if (data.get('do_you_ever_drink_alcohol_') is None):
                                    return u'Medium'
                                if (data['do_you_ever_drink_alcohol_'] == 'Yes'):
                                    if (data['location_census_region_'] == 'East North Central'):
                                        if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                            return u'Medium rare'
                                        if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                            return u'Medium rare'
                                        if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                            return u'Medium Well'
                                    if (data['location_census_region_'] != 'East North Central'):
                                        if (data.get('household_income') is None):
                                            return u'Medium'
                                        if (data['household_income'] == '$50,000 - $99,999'):
                                            if (data['location_census_region_'] == 'Middle Atlantic'):
                                                return u'Medium rare'
                                            if (data['location_census_region_'] != 'Middle Atlantic'):
                                                if (data['location_census_region_'] == 'South Atlantic'):
                                                    if (data.get('have_you_ever_been_skydiving_') is None):
                                                        return u'Medium'
                                                    if (data['have_you_ever_been_skydiving_'] == 'No'):
                                                        return u'Medium'
                                                    if (data['have_you_ever_been_skydiving_'] != 'No'):
                                                        return u'Medium rare'
                                                if (data['location_census_region_'] != 'South Atlantic'):
                                                    return u'Medium'
                                        if (data['household_income'] != '$50,000 - $99,999'):
                                            if (data.get('age') is None):
                                                return u'Medium rare'
                                            if (data['age'] == '30-44'):
                                                if (data['location_census_region_'] == 'Middle Atlantic'):
                                                    return u'Medium'
                                                if (data['location_census_region_'] != 'Middle Atlantic'):
                                                    if (data['education'] == 'Bachelor degree'):
                                                        return u'Medium rare'
                                                    if (data['education'] != 'Bachelor degree'):
                                                        if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                                                            return u'Medium'
                                                        if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                                                            return u'Medium'
                                                        if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                                                            return u'Medium rare'
                                            if (data['age'] != '30-44'):
                                                if (data['education'] == 'Bachelor degree'):
                                                    if (data['location_census_region_'] == 'Pacific'):
                                                        if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                                            return u'Medium'
                                                        if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                                            return u'Medium'
                                                        if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                                            return u'Medium Well'
                                                    if (data['location_census_region_'] != 'Pacific'):
                                                        return u'Medium rare'
                                                if (data['education'] != 'Bachelor degree'):
                                                    if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                                                        return u'Medium Well'
                                                    if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                                                        return u'Medium Well'
                                                    if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                                                        return u'Medium rare'
                                if (data['do_you_ever_drink_alcohol_'] != 'Yes'):
                                    if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                                        return u'Medium'
                                    if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                                        return u'Medium'
                                    if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                                        return u'Medium Well'
                            if (data['lottery_a_or_lottery_b_'] != 'Lottery B'):
                                if (data.get('age') is None):
                                    return u'Medium'
                                if (data['age'] == '45-60'):
                                    if (data['location_census_region_'] == 'Middle Atlantic'):
                                        if (data['education'] == 'Bachelor degree'):
                                            return u'Rare'
                                        if (data['education'] != 'Bachelor degree'):
                                            return u'Medium'
                                    if (data['location_census_region_'] != 'Middle Atlantic'):
                                        if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                            return u'Medium'
                                        if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                            if (data.get('household_income') is None):
                                                return u'Well'
                                            if (data['household_income'] == '$50,000 - $99,999'):
                                                return u'Well'
                                            if (data['household_income'] != '$50,000 - $99,999'):
                                                if (data['location_census_region_'] == 'South Atlantic'):
                                                    return u'Well'
                                                if (data['location_census_region_'] != 'South Atlantic'):
                                                    if (data['location_census_region_'] == 'East North Central'):
                                                        if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                                            return u'Medium'
                                                        if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                                            return u'Medium Well'
                                                        if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                                            return u'Medium'
                                                    if (data['location_census_region_'] != 'East North Central'):
                                                        if (data['location_census_region_'] == 'Pacific'):
                                                            return u'Medium Well'
                                                        if (data['location_census_region_'] != 'Pacific'):
                                                            return u'Medium rare'
                                        if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                            if (data['education'] == 'Bachelor degree'):
                                                return u'Medium'
                                            if (data['education'] != 'Bachelor degree'):
                                                return u'Medium Well'
                                if (data['age'] != '45-60'):
                                    if (data.get('household_income') is None):
                                        return u'Medium'
                                    if (data['household_income'] == '$25,000 - $49,999'):
                                        if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                            return u'Medium Well'
                                        if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                            return u'Medium Well'
                                        if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                            return u'Medium rare'
                                    if (data['household_income'] != '$25,000 - $49,999'):
                                        if (data['age'] == '18-29'):
                                            if (data['education'] == 'Bachelor degree'):
                                                return u'Medium'
                                            if (data['education'] != 'Bachelor degree'):
                                                return u'Medium Well'
                                        if (data['age'] != '18-29'):
                                            if (data['household_income'] == '$0 - $24,999'):
                                                return u'Well'
                                            if (data['household_income'] != '$0 - $24,999'):
                                                if (data['location_census_region_'] == 'Middle Atlantic'):
                                                    if (data['education'] == 'Bachelor degree'):
                                                        return u'Medium'
                                                    if (data['education'] != 'Bachelor degree'):
                                                        return u'Well'
                                                if (data['location_census_region_'] != 'Middle Atlantic'):
                                                    if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                                        return u'Medium'
                                                    if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                                        if (data['education'] == 'Bachelor degree'):
                                                            if (data['location_census_region_'] == 'South Atlantic'):
                                                                return u'Medium'
                                                            if (data['location_census_region_'] != 'South Atlantic'):
                                                                return u'Medium rare'
                                                        if (data['education'] != 'Bachelor degree'):
                                                            return u'Medium'
                                                    if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                                        return u'Medium rare'
                        if (data['do_you_ever_gamble_'] != 'Yes'):
                            if (data.get('age') is None):
                                return u'Medium rare'
                            if (data['age'] == '30-44'):
                                if (data['location_census_region_'] == 'East North Central'):
                                    if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                                        return u'Medium'
                                    if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                                        if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                            return u'Medium'
                                        if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                            return u'Medium'
                                        if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                            return u'Medium rare'
                                    if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                                        return u'Well'
                                if (data['location_census_region_'] != 'East North Central'):
                                    if (data['education'] == 'Bachelor degree'):
                                        if (data.get('household_income') is None):
                                            return u'Medium rare'
                                        if (data['household_income'] == '$100,000 - $149,999'):
                                            return u'Medium rare'
                                        if (data['household_income'] != '$100,000 - $149,999'):
                                            return u'Rare'
                                    if (data['education'] != 'Bachelor degree'):
                                        return u'Medium rare'
                            if (data['age'] != '30-44'):
                                if (data.get('have_you_ever_been_skydiving_') is None):
                                    return u'Medium rare'
                                if (data['have_you_ever_been_skydiving_'] == 'No'):
                                    if (data['age'] == '18-29'):
                                        if (data['location_census_region_'] == 'East North Central'):
                                            if (data['education'] == 'Bachelor degree'):
                                                if (data.get('do_you_ever_drink_alcohol_') is None):
                                                    return u'Medium'
                                                if (data['do_you_ever_drink_alcohol_'] == 'Yes'):
                                                    return u'Medium Well'
                                                if (data['do_you_ever_drink_alcohol_'] != 'Yes'):
                                                    return u'Medium'
                                            if (data['education'] != 'Bachelor degree'):
                                                return u'Medium rare'
                                        if (data['location_census_region_'] != 'East North Central'):
                                            if (data.get('household_income') is None):
                                                return u'Medium'
                                            if (data['household_income'] == '$50,000 - $99,999'):
                                                return u'Medium'
                                            if (data['household_income'] != '$50,000 - $99,999'):
                                                if (data['location_census_region_'] == 'West South Central'):
                                                    return u'Medium rare'
                                                if (data['location_census_region_'] != 'West South Central'):
                                                    if (data.get('do_you_ever_drive_above_the_speed_limit_') is None):
                                                        return u'Medium'
                                                    if (data['do_you_ever_drive_above_the_speed_limit_'] == 'Yes'):
                                                        if (data['education'] == 'Bachelor degree'):
                                                            if (data['household_income'] == '$25,000 - $49,999'):
                                                                return u'Medium'
                                                            if (data['household_income'] != '$25,000 - $49,999'):
                                                                return u'Medium rare'
                                                        if (data['education'] != 'Bachelor degree'):
                                                            return u'Medium'
                                                    if (data['do_you_ever_drive_above_the_speed_limit_'] != 'Yes'):
                                                        return u'Medium rare'
                                    if (data['age'] != '18-29'):
                                        if (data['location_census_region_'] == 'West South Central'):
                                            return u'Medium'
                                        if (data['location_census_region_'] != 'West South Central'):
                                            if (data['location_census_region_'] == 'Middle Atlantic'):
                                                if (data.get('household_income') is None):
                                                    return u'Medium rare'
                                                if (data['household_income'] == '$50,000 - $99,999'):
                                                    return u'Medium'
                                                if (data['household_income'] != '$50,000 - $99,999'):
                                                    return u'Medium rare'
                                            if (data['location_census_region_'] != 'Middle Atlantic'):
                                                if (data.get('household_income') is None):
                                                    return u'Medium rare'
                                                if (data['household_income'] == '$150,000+'):
                                                    return u'Medium Well'
                                                if (data['household_income'] != '$150,000+'):
                                                    if (data['age'] == '45-60'):
                                                        if (data['household_income'] == '$50,000 - $99,999'):
                                                            if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                                                return u'Medium Well'
                                                            if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                                                return u'Medium Well'
                                                            if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                                                return u'Medium rare'
                                                        if (data['household_income'] != '$50,000 - $99,999'):
                                                            return u'Medium rare'
                                                    if (data['age'] != '45-60'):
                                                        return u'Medium rare'
                                if (data['have_you_ever_been_skydiving_'] != 'No'):
                                    return u'Medium Well'
                if (data['gender'] != 'Male'):
                    if (data['location_census_region_'] == 'East North Central'):
                        if (data.get('lottery_a_or_lottery_b_') is None):
                            return u'Medium rare'
                        if (data['lottery_a_or_lottery_b_'] == 'Lottery B'):
                            if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                return u'Medium'
                            if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                return u'Medium'
                            if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                return u'Medium rare'
                        if (data['lottery_a_or_lottery_b_'] != 'Lottery B'):
                            if (data.get('age') is None):
                                return u'Medium rare'
                            if (data['age'] == '45-60'):
                                if (data['education'] == 'Bachelor degree'):
                                    return u'Medium rare'
                                if (data['education'] != 'Bachelor degree'):
                                    return u'Well'
                            if (data['age'] != '45-60'):
                                if (data.get('household_income') is None):
                                    return u'Medium rare'
                                if (data['household_income'] == '$50,000 - $99,999'):
                                    if (data['education'] == 'Bachelor degree'):
                                        return u'Medium Well'
                                    if (data['education'] != 'Bachelor degree'):
                                        return u'Medium rare'
                                if (data['household_income'] != '$50,000 - $99,999'):
                                    return u'Medium rare'
                    if (data['location_census_region_'] != 'East North Central'):
                        if (data.get('lottery_a_or_lottery_b_') is None):
                            return u'Medium rare'
                        if (data['lottery_a_or_lottery_b_'] == 'Lottery B'):
                            if (data.get('household_income') is None):
                                return u'Medium rare'
                            if (data['household_income'] == '$150,000+'):
                                if (data.get('age') is None):
                                    return u'Medium'
                                if (data['age'] == '45-60'):
                                    return u'Medium Well'
                                if (data['age'] != '45-60'):
                                    if (data['location_census_region_'] == 'Pacific'):
                                        return u'Rare'
                                    if (data['location_census_region_'] != 'Pacific'):
                                        return u'Medium'
                            if (data['household_income'] != '$150,000+'):
                                if (data['household_income'] == '$50,000 - $99,999'):
                                    if (data['education'] == 'Bachelor degree'):
                                        if (data.get('age') is None):
                                            return u'Well'
                                        if (data['age'] == '30-44'):
                                            if (data.get('do_you_ever_drink_alcohol_') is None):
                                                return u'Medium'
                                            if (data['do_you_ever_drink_alcohol_'] == 'Yes'):
                                                return u'Medium rare'
                                            if (data['do_you_ever_drink_alcohol_'] != 'Yes'):
                                                if (data['location_census_region_'] == 'South Atlantic'):
                                                    return u'Well'
                                                if (data['location_census_region_'] != 'South Atlantic'):
                                                    return u'Medium'
                                        if (data['age'] != '30-44'):
                                            if (data['age'] == '> 60'):
                                                return u'Well'
                                            if (data['age'] != '> 60'):
                                                if (data['location_census_region_'] == 'Middle Atlantic'):
                                                    return u'Well'
                                                if (data['location_census_region_'] != 'Middle Atlantic'):
                                                    return u'Rare'
                                    if (data['education'] != 'Bachelor degree'):
                                        if (data.get('age') is None):
                                            return u'Medium rare'
                                        if (data['age'] == '> 60'):
                                            if (data['location_census_region_'] == 'South Atlantic'):
                                                return u'Medium'
                                            if (data['location_census_region_'] != 'South Atlantic'):
                                                return u'Medium rare'
                                        if (data['age'] != '> 60'):
                                            return u'Medium rare'
                                if (data['household_income'] != '$50,000 - $99,999'):
                                    if (data['education'] == 'Some college or Associate degree'):
                                        if (data.get('do_you_ever_drink_alcohol_') is None):
                                            return u'Medium'
                                        if (data['do_you_ever_drink_alcohol_'] == 'Yes'):
                                            if (data['location_census_region_'] == 'South Atlantic'):
                                                if (data.get('age') is None):
                                                    return u'Medium Well'
                                                if (data['age'] == '> 60'):
                                                    return u'Medium'
                                                if (data['age'] != '> 60'):
                                                    return u'Medium Well'
                                            if (data['location_census_region_'] != 'South Atlantic'):
                                                return u'Medium'
                                        if (data['do_you_ever_drink_alcohol_'] != 'Yes'):
                                            if (data.get('age') is None):
                                                return u'Medium Well'
                                            if (data['age'] == '18-29'):
                                                if (data['household_income'] == '$25,000 - $49,999'):
                                                    return u'Well'
                                                if (data['household_income'] != '$25,000 - $49,999'):
                                                    return u'Medium Well'
                                            if (data['age'] != '18-29'):
                                                if (data['age'] == '30-44'):
                                                    return u'Rare'
                                                if (data['age'] != '30-44'):
                                                    if (data.get('do_you_ever_smoke_cigarettes_') is None):
                                                        return u'Medium rare'
                                                    if (data['do_you_ever_smoke_cigarettes_'] == 'No'):
                                                        return u'Medium rare'
                                                    if (data['do_you_ever_smoke_cigarettes_'] != 'No'):
                                                        return u'Rare'
                                    if (data['education'] != 'Some college or Associate degree'):
                                        if (data['location_census_region_'] == 'Middle Atlantic'):
                                            if (data['education'] == 'Bachelor degree'):
                                                return u'Rare'
                                            if (data['education'] != 'Bachelor degree'):
                                                return u'Medium Well'
                                        if (data['location_census_region_'] != 'Middle Atlantic'):
                                            if (data['education'] == 'Less than high school degree'):
                                                return u'Well'
                                            if (data['education'] != 'Less than high school degree'):
                                                if (data.get('age') is None):
                                                    return u'Medium rare'
                                                if (data['age'] == '30-44'):
                                                    if (data['location_census_region_'] == 'South Atlantic'):
                                                        return u'Medium Well'
                                                    if (data['location_census_region_'] != 'South Atlantic'):
                                                        return u'Medium rare'
                                                if (data['age'] != '30-44'):
                                                    return u'Medium rare'
                        if (data['lottery_a_or_lottery_b_'] != 'Lottery B'):
                            if (data['education'] == 'Bachelor degree'):
                                if (data.get('household_income') is None):
                                    return u'Medium rare'
                                if (data['household_income'] == '$150,000+'):
                                    if (data['location_census_region_'] == 'South Atlantic'):
                                        return u'Well'
                                    if (data['location_census_region_'] != 'South Atlantic'):
                                        if (data.get('do_you_ever_gamble_') is None):
                                            return u'Medium'
                                        if (data['do_you_ever_gamble_'] == 'Yes'):
                                            if (data['location_census_region_'] == 'Middle Atlantic'):
                                                return u'Medium'
                                            if (data['location_census_region_'] != 'Middle Atlantic'):
                                                return u'Medium rare'
                                        if (data['do_you_ever_gamble_'] != 'Yes'):
                                            return u'Medium'
                                if (data['household_income'] != '$150,000+'):
                                    if (data['location_census_region_'] == 'Pacific'):
                                        return u'Medium'
                                    if (data['location_census_region_'] != 'Pacific'):
                                        if (data.get('age') is None):
                                            return u'Medium rare'
                                        if (data['age'] == '45-60'):
                                            return u'Medium rare'
                                        if (data['age'] != '45-60'):
                                            if (data['age'] == '> 60'):
                                                return u'Medium rare'
                                            if (data['age'] != '> 60'):
                                                if (data['household_income'] == '$100,000 - $149,999'):
                                                    return u'Medium rare'
                                                if (data['household_income'] != '$100,000 - $149,999'):
                                                    return u'Medium Well'
                            if (data['education'] != 'Bachelor degree'):
                                if (data.get('age') is None):
                                    return u'Medium'
                                if (data['age'] == '18-29'):
                                    if (data.get('household_income') is None):
                                        return u'Medium rare'
                                    if (data['household_income'] == '$0 - $24,999'):
                                        return u'Medium'
                                    if (data['household_income'] != '$0 - $24,999'):
                                        if (data.get('have_you_ever_been_skydiving_') is None):
                                            return u'Medium rare'
                                        if (data['have_you_ever_been_skydiving_'] == 'No'):
                                            return u'Medium rare'
                                        if (data['have_you_ever_been_skydiving_'] != 'No'):
                                            return u'Medium Well'
                                if (data['age'] != '18-29'):
                                    if (data.get('household_income') is None):
                                        return u'Medium'
                                    if (data['household_income'] == '$0 - $24,999'):
                                        if (data['location_census_region_'] == 'Pacific'):
                                            return u'Medium rare'
                                        if (data['location_census_region_'] != 'Pacific'):
                                            return u'Medium Well'
                                    if (data['household_income'] != '$0 - $24,999'):
                                        if (data['household_income'] == '$25,000 - $49,999'):
                                            return u'Medium'
                                        if (data['household_income'] != '$25,000 - $49,999'):
                                            if (data['location_census_region_'] == 'New England'):
                                                return u'Medium'
                                            if (data['location_census_region_'] != 'New England'):
                                                if (data['age'] == '> 60'):
                                                    return u'Medium Well'
                                                if (data['age'] != '> 60'):
                                                    if (data['location_census_region_'] == 'Middle Atlantic'):
                                                        if (data.get('have_you_ever_cheated_on_your_significant_other_') is None):
                                                            return u'Medium Well'
                                                        if (data['have_you_ever_cheated_on_your_significant_other_'] == 'No'):
                                                            return u'Medium Well'
                                                        if (data['have_you_ever_cheated_on_your_significant_other_'] != 'No'):
                                                            return u'Medium'
                                                    if (data['location_census_region_'] != 'Middle Atlantic'):
                                                        return u'Medium'