import os
import sys
import cv2
import numpy
import theano

path = sys.argv[1]

for dirname, dirnames, filenames in os.walk(path):
	if len(dirnames) == 0:
		dirnames = [""]
	for subdirname in dirnames:
		subject_path = os.path.join(dirname, subdirname)
		print "working", subject_path		
		for filename in os.listdir(subject_path):
			if filename.startswith(".") or not filename.endswith(".jpg"):
				continue			
			fullname = os.path.join(subject_path, filename)
			print "\tconverting", fullname
			im = cv2.imread(fullname, cv2.IMREAD_GRAYSCALE)
			im = cv2.resize(im, (83, 102))
			cv2.imwrite(fullname, im)
