import os
import sys
import cv2
import numpy
import theano
import pdb

path = sys.argv[1]
outdir = sys.argv[2]

i = 0
for dirname, dirnames, filenames in os.walk(path):
	if len(dirnames) == 0:
		dirnames = [""]
	for subdirname in dirnames:
		subject_path = os.path.join(dirname, subdirname)
		print "working", subject_path
		cnt = 0
		for filename in os.listdir(subject_path):			
			if filename.startswith(".") or not filename.endswith(".pgm"):
				continue
			if cnt >= 2:
				break
			cnt += 1
			fullname = os.path.join(subject_path, filename)
			pngname = "%s%s.png" % (subdirname, filename)
			outname = os.path.join(outdir, pngname)
			print "\tconverting", fullname, "to", outname
			im = cv2.imread(fullname, cv2.IMREAD_GRAYSCALE)			
			cv2.imwrite(outname, im)
