def predict_happiness_of_marriage(work_status=None,
                                  children=None,
                                  age=None,
                                  gender=None,
                                  race=None,
                                  happiness_level=None,
                                  watched_x_rated_movies_last_year=None):
    """ Predictor for Happiness of marriage from model/512433093b56352c74000b0c

        Happiness survey to predict the happiness of marriage based on several factors.
        Source
        Social Science Research on Pornography[*]
        [*]Social Science Research on Pornography: http://byuresearch.org/ssrp/data.html
    """
    if (happiness_level is None):
        return u'Very happy'
    if (happiness_level == 'Very happy'):
        if (race is None):
            return u'Very happy'
        if (race != 'White'):
            if (children is None):
                return u'Very happy'
            if (children <= 3):
                if (children > 0):
                    if (age is None):
                        return u'Very happy'
                    if (age <= 25):
                        return u'Very happy'
                    if (age > 25):
                        if (age > 29):
                            if (age <= 37):
                                if (work_status is None):
                                    return u'Very happy'
                                if (work_status != 'School'):
                                    return u'Very happy'
                                if (work_status == 'School'):
                                    return u'Pretty happy'
                            if (age > 37):
                                if (work_status is None):
                                    return u'Very happy'
                                if (work_status != 'Retired'):
                                    if (work_status == 'Other'):
                                        return u'Very happy'
                                    if (work_status != 'Other'):
                                        return u'Very happy'
                                if (work_status == 'Retired'):
                                    return u'Very happy'
                        if (age <= 29):
                            return u'Very happy'
                if (children <= 0):
                    return u'Very happy'
            if (children > 3):
                if (gender is None):
                    return u'Very happy'
                if (gender == 'Female'):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        if (work_status is None):
                            return u'Pretty happy'
                        if (work_status == 'Keeping house'):
                            return u'Very happy'
                        if (work_status == 'Working fulltime'):
                            return u'Pretty happy'
                if (gender == 'Male'):
                    return u'Very happy'
        if (race == 'White'):
            if (watched_x_rated_movies_last_year is None):
                return u'Very happy'
            if (watched_x_rated_movies_last_year == 'No'):
                if (age is None):
                    return u'Very happy'
                if (age > 24):
                    if (work_status is None):
                        return u'Very happy'
                    if (work_status == 'Working parttime'):
                        if (children is None):
                            return u'Very happy'
                        if (children > 3):
                            return u'Very happy'
                        if (children <= 3):
                            if (age <= 40):
                                return u'Very happy'
                            if (age > 40):
                                return u'Very happy'
                    if (work_status != 'Working parttime'):
                        if (work_status != 'School'):
                            if (children is None):
                                return u'Very happy'
                            if (children <= 3):
                                if (work_status != 'Working fulltime'):
                                    if (age <= 29):
                                        return u'Very happy'
                                    if (age > 29):
                                        return u'Very happy'
                                if (work_status == 'Working fulltime'):
                                    if (age <= 26):
                                        return u'Very happy'
                                    if (age > 26):
                                        return u'Very happy'
                            if (children > 3):
                                if (age > 29):
                                    if (age <= 65):
                                        return u'Very happy'
                                    if (age > 65):
                                        return u'Very happy'
                                if (age <= 29):
                                    if (gender is None):
                                        return u'Very happy'
                                    if (gender == 'Male'):
                                        return u'Pretty happy'
                                    if (gender == 'Female'):
                                        return u'Very happy'
                        if (work_status == 'School'):
                            if (age <= 67):
                                return u'Very happy'
                            if (age > 67):
                                return u'Not too happy'
                if (age <= 24):
                    return u'Very happy'
            if (watched_x_rated_movies_last_year == 'Yes'):
                if (age is None):
                    return u'Very happy'
                if (age > 23):
                    if (age <= 71):
                        if (age > 58):
                            return u'Very happy'
                        if (age <= 58):
                            if (age <= 24):
                                return u'Very happy'
                            if (age > 24):
                                if (age > 42):
                                    return u'Very happy'
                                if (age <= 42):
                                    if (children is None):
                                        return u'Very happy'
                                    if (children <= 7):
                                        return u'Very happy'
                                    if (children > 7):
                                        return u'Pretty happy'
                    if (age > 71):
                        return u'Very happy'
                if (age <= 23):
                    return u'Very happy'
    if (happiness_level != 'Very happy'):
        if (happiness_level == 'Pretty happy'):
            if (race is None):
                return u'Pretty happy'
            if (race == 'White'):
                if (gender is None):
                    return u'Pretty happy'
                if (gender == 'Male'):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        if (age is None):
                            return u'Very happy'
                        if (age > 30):
                            if (work_status is None):
                                return u'Very happy'
                            if (work_status == 'Retired'):
                                if (children is None):
                                    return u'Very happy'
                                if (children > 1):
                                    if (age <= 47):
                                        return u'Pretty happy'
                                    if (age > 47):
                                        return u'Very happy'
                                if (children <= 1):
                                    if (age <= 81):
                                        return u'Pretty happy'
                                    if (age > 81):
                                        return u'Very happy'
                            if (work_status == 'School'):
                                if (age > 47):
                                    if (age <= 68):
                                        return u'Not too happy'
                                    if (age > 68):
                                        return u'Pretty happy'
                                if (age <= 47):
                                    if (age <= 34):
                                        return u'Very happy'
                                    if (age > 34):
                                        return u'Pretty happy'
                            if (work_status == 'Other'):
                                return u'Very happy'
                            if (work_status == 'Working fulltime'):
                                if (children is None):
                                    return u'Very happy'
                                if (children > 5):
                                    return u'Very happy'
                                if (children <= 5):
                                    if (age <= 37):
                                        return u'Very happy'
                                    if (age > 37):
                                        return u'Very happy'
                            if (work_status == 'Temp not working'):
                                if (age > 61):
                                    return u'Very happy'
                                if (age <= 61):
                                    return u'Pretty happy'
                            if (work_status == 'Working parttime'):
                                if (age > 33):
                                    if (age <= 64):
                                        return u'Pretty happy'
                                    if (age > 64):
                                        return u'Very happy'
                                if (age <= 33):
                                    return u'Very happy'
                            if (work_status == 'Unemployed, laid off'):
                                if (age > 48):
                                    return u'Pretty happy'
                                if (age <= 48):
                                    return u'Very happy'
                            if (work_status == 'Keeping house'):
                                return u'Very happy'
                        if (age <= 30):
                            if (work_status is None):
                                return u'Very happy'
                            if (work_status == 'Temp not working'):
                                if (age > 23):
                                    return u'Very happy'
                                if (age <= 23):
                                    return u'Pretty happy'
                            if (work_status != 'Temp not working'):
                                if (work_status == 'Keeping house'):
                                    if (age <= 27):
                                        return u'Pretty happy'
                                    if (age > 27):
                                        return u'Very happy'
                                if (work_status == 'Unemployed, laid off'):
                                    if (age <= 29):
                                        return u'Pretty happy'
                                    if (age > 29):
                                        return u'Very happy'
                                if (work_status == 'Working parttime'):
                                    return u'Very happy'
                                if (work_status == 'Working fulltime'):
                                    if (age <= 26):
                                        return u'Very happy'
                                    if (age > 26):
                                        return u'Very happy'
                                if (work_status == 'Other'):
                                    return u'Very happy'
                                if (work_status == 'Retired'):
                                    return u'Very happy'
                                if (work_status == 'School'):
                                    return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        if (work_status is None):
                            return u'Pretty happy'
                        if (work_status != 'Keeping house'):
                            if (work_status == 'Temp not working'):
                                if (age is None):
                                    return u'Very happy'
                                if (age > 38):
                                    if (age <= 49):
                                        return u'Pretty happy'
                                    if (age > 49):
                                        return u'Very happy'
                                if (age <= 38):
                                    return u'Very happy'
                            if (work_status != 'Temp not working'):
                                if (age is None):
                                    return u'Pretty happy'
                                if (age > 81):
                                    return u'Very happy'
                                if (age <= 81):
                                    if (age <= 41):
                                        return u'Very happy'
                                    if (age > 41):
                                        return u'Pretty happy'
                        if (work_status == 'Keeping house'):
                            if (age is None):
                                return u'Very happy'
                            if (age <= 26):
                                return u'Not too happy'
                            if (age > 26):
                                return u'Very happy'
                if (gender == 'Female'):
                    if (children is None):
                        return u'Pretty happy'
                    if (children <= 0):
                        if (age is None):
                            return u'Very happy'
                        if (age > 34):
                            if (work_status is None):
                                return u'Pretty happy'
                            if (work_status == 'Working fulltime'):
                                return u'Very happy'
                            if (work_status != 'Working fulltime'):
                                if (age > 61):
                                    return u'Pretty happy'
                                if (age <= 61):
                                    return u'Very happy'
                        if (age <= 34):
                            if (work_status is None):
                                return u'Very happy'
                            if (work_status == 'School'):
                                if (age > 30):
                                    return u'Pretty happy'
                                if (age <= 30):
                                    return u'Very happy'
                            if (work_status == 'Working fulltime'):
                                if (age > 24):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Very happy'
                                if (age <= 24):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Very happy'
                            if (work_status == 'Temp not working'):
                                return u'Very happy'
                            if (work_status == 'Working parttime'):
                                if (age > 24):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Very happy'
                                if (age <= 24):
                                    if (age <= 19):
                                        return u'Pretty happy'
                                    if (age > 19):
                                        return u'Very happy'
                            if (work_status == 'Keeping house'):
                                if (age > 28):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Pretty happy'
                                if (age <= 28):
                                    return u'Very happy'
                            if (work_status == 'Unemployed, laid off'):
                                return u'Very happy'
                    if (children > 0):
                        if (work_status is None):
                            return u'Pretty happy'
                        if (work_status != 'Working fulltime'):
                            if (children <= 5):
                                if (age is None):
                                    return u'Pretty happy'
                                if (age > 25):
                                    if (age <= 27):
                                        return u'Pretty happy'
                                    if (age > 27):
                                        return u'Pretty happy'
                                if (age <= 25):
                                    if (work_status == 'School'):
                                        return u'Pretty happy'
                                    if (work_status == 'Other'):
                                        return u'Very happy'
                                    if (work_status == 'Temp not working'):
                                        return u'Very happy'
                                    if (work_status == 'Working parttime'):
                                        return u'Pretty happy'
                                    if (work_status == 'Keeping house'):
                                        return u'Very happy'
                                    if (work_status == 'Unemployed, laid off'):
                                        return u'Pretty happy'
                            if (children > 5):
                                if (work_status != 'Other'):
                                    return u'Pretty happy'
                                if (work_status == 'Other'):
                                    if (age is None):
                                        return u'Not too happy'
                                    if (age <= 66):
                                        return u'Not too happy'
                                    if (age > 66):
                                        return u'Very happy'
                        if (work_status == 'Working fulltime'):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Pretty happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                if (age is None):
                                    return u'Pretty happy'
                                if (age > 27):
                                    if (age <= 50):
                                        return u'Pretty happy'
                                    if (age > 50):
                                        return u'Pretty happy'
                                if (age <= 27):
                                    return u'Very happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                if (age is None):
                                    return u'Pretty happy'
                                if (age > 44):
                                    return u'Very happy'
                                if (age <= 44):
                                    return u'Pretty happy'
            if (race != 'White'):
                if (age is None):
                    return u'Pretty happy'
                if (age > 26):
                    if (gender is None):
                        return u'Pretty happy'
                    if (gender == 'Male'):
                        if (race == 'Black'):
                            if (children is None):
                                return u'Pretty happy'
                            if (children <= 5):
                                if (age > 79):
                                    return u'Very happy'
                                if (age <= 79):
                                    if (children <= 3):
                                        return u'Pretty happy'
                                    if (children > 3):
                                        return u'Pretty happy'
                            if (children > 5):
                                if (work_status is None):
                                    return u'Very happy'
                                if (work_status != 'Other'):
                                    return u'Very happy'
                                if (work_status == 'Other'):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Pretty happy'
                        if (race == 'Other'):
                            if (work_status is None):
                                return u'Pretty happy'
                            if (work_status == 'Unemployed, laid off'):
                                return u'Very happy'
                            if (work_status != 'Unemployed, laid off'):
                                return u'Pretty happy'
                    if (gender == 'Female'):
                        if (children is None):
                            return u'Pretty happy'
                        if (children > 1):
                            if (age <= 50):
                                if (age > 34):
                                    if (work_status is None):
                                        return u'Pretty happy'
                                    if (work_status == 'Temp not working'):
                                        return u'Very happy'
                                    if (work_status != 'Temp not working'):
                                        return u'Pretty happy'
                                if (age <= 34):
                                    return u'Pretty happy'
                            if (age > 50):
                                if (race == 'Black'):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Pretty happy'
                                if (race == 'Other'):
                                    if (age <= 77):
                                        return u'Pretty happy'
                                    if (age > 77):
                                        return u'Very happy'
                        if (children <= 1):
                            return u'Pretty happy'
                if (age <= 26):
                    if (age <= 21):
                        if (gender is None):
                            return u'Pretty happy'
                        if (gender == 'Male'):
                            return u'Pretty happy'
                        if (gender == 'Female'):
                            if (race == 'Other'):
                                if (age > 19):
                                    return u'Very happy'
                                if (age <= 19):
                                    return u'Pretty happy'
                            if (race == 'Black'):
                                return u'Pretty happy'
                    if (age > 21):
                        if (children is None):
                            return u'Very happy'
                        if (children > 1):
                            if (work_status is None):
                                return u'Pretty happy'
                            if (work_status == 'School'):
                                return u'Very happy'
                            if (work_status == 'Working fulltime'):
                                if (children > 2):
                                    return u'Pretty happy'
                                if (children <= 2):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Very happy'
                            if (work_status == 'Working parttime'):
                                if (race == 'Black'):
                                    return u'Pretty happy'
                                if (race == 'Other'):
                                    return u'Not too happy'
                            if (work_status == 'Keeping house'):
                                if (race == 'Black'):
                                    return u'Very happy'
                                if (race == 'Other'):
                                    if (age <= 25):
                                        return u'Pretty happy'
                                    if (age > 25):
                                        return u'Not too happy'
                        if (children <= 1):
                            return u'Very happy'
        if (happiness_level == 'Not too happy'):
            if (gender is None):
                return u'Pretty happy'
            if (gender == 'Male'):
                if (race is None):
                    return u'Very happy'
                if (race != 'White'):
                    if (age is None):
                        return u'Pretty happy'
                    if (age <= 26):
                        if (work_status is None):
                            return u'Very happy'
                        if (work_status != 'Working fulltime'):
                            return u'Very happy'
                        if (work_status == 'Working fulltime'):
                            if (children is None):
                                return u'Very happy'
                            if (children <= 2):
                                if (watched_x_rated_movies_last_year is None):
                                    return u'Very happy'
                                if (watched_x_rated_movies_last_year == 'Yes'):
                                    if (race == 'Other'):
                                        return u'Not too happy'
                                    if (race == 'Black'):
                                        return u'Very happy'
                                if (watched_x_rated_movies_last_year == 'No'):
                                    return u'Very happy'
                            if (children > 2):
                                if (age > 24):
                                    return u'Pretty happy'
                                if (age <= 24):
                                    return u'Very happy'
                    if (age > 26):
                        if (work_status is None):
                            return u'Pretty happy'
                        if (work_status != 'Keeping house'):
                            if (work_status == 'Other'):
                                if (children is None):
                                    return u'Not too happy'
                                if (children > 4):
                                    if (watched_x_rated_movies_last_year is None):
                                        return u'Very happy'
                                    if (watched_x_rated_movies_last_year == 'No'):
                                        return u'Pretty happy'
                                    if (watched_x_rated_movies_last_year == 'Yes'):
                                        return u'Very happy'
                                if (children <= 4):
                                    return u'Not too happy'
                            if (work_status != 'Other'):
                                if (work_status != 'Temp not working'):
                                    return u'Pretty happy'
                                if (work_status == 'Temp not working'):
                                    if (age <= 50):
                                        return u'Pretty happy'
                                    if (age > 50):
                                        return u'Not too happy'
                        if (work_status == 'Keeping house'):
                            if (children is None):
                                return u'Very happy'
                            if (children <= 2):
                                if (age > 57):
                                    return u'Very happy'
                                if (age <= 57):
                                    return u'Not too happy'
                            if (children > 2):
                                return u'Very happy'
                if (race == 'White'):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        if (children is None):
                            return u'Very happy'
                        if (children > 2):
                            if (age is None):
                                return u'Very happy'
                            if (age <= 35):
                                if (work_status is None):
                                    return u'Very happy'
                                if (work_status != 'Working parttime'):
                                    return u'Very happy'
                                if (work_status == 'Working parttime'):
                                    return u'Pretty happy'
                            if (age > 35):
                                if (age > 39):
                                    if (age <= 58):
                                        return u'Pretty happy'
                                    if (age > 58):
                                        return u'Very happy'
                                if (age <= 39):
                                    if (age <= 37):
                                        return u'Pretty happy'
                                    if (age > 37):
                                        return u'Not too happy'
                        if (children <= 2):
                            return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        if (children is None):
                            return u'Pretty happy'
                        if (children > 3):
                            if (age is None):
                                return u'Very happy'
                            if (age <= 51):
                                return u'Very happy'
                            if (age > 51):
                                if (work_status is None):
                                    return u'Pretty happy'
                                if (work_status != 'Working fulltime'):
                                    return u'Pretty happy'
                                if (work_status == 'Working fulltime'):
                                    return u'Very happy'
                        if (children <= 3):
                            if (children <= 0):
                                return u'Very happy'
                            if (children > 0):
                                if (work_status is None):
                                    return u'Pretty happy'
                                if (work_status != 'Working parttime'):
                                    return u'Pretty happy'
                                if (work_status == 'Working parttime'):
                                    return u'Not too happy'
            if (gender == 'Female'):
                if (children is None):
                    return u'Pretty happy'
                if (children > 0):
                    if (work_status is None):
                        return u'Pretty happy'
                    if (work_status == 'Unemployed, laid off'):
                        if (children > 2):
                            return u'Pretty happy'
                        if (children <= 2):
                            return u'Not too happy'
                    if (work_status != 'Unemployed, laid off'):
                        if (children > 4):
                            if (age is None):
                                return u'Pretty happy'
                            if (age <= 44):
                                if (race is None):
                                    return u'Not too happy'
                                if (race == 'White'):
                                    if (age <= 34):
                                        return u'Not too happy'
                                    if (age > 34):
                                        return u'Pretty happy'
                                if (race == 'Black'):
                                    if (age <= 32):
                                        return u'Pretty happy'
                                    if (age > 32):
                                        return u'Not too happy'
                                if (race == 'Other'):
                                    if (age <= 38):
                                        return u'Pretty happy'
                                    if (age > 38):
                                        return u'Not too happy'
                            if (age > 44):
                                if (watched_x_rated_movies_last_year is None):
                                    return u'Pretty happy'
                                if (watched_x_rated_movies_last_year == 'Yes'):
                                    if (race is None):
                                        return u'Not too happy'
                                    if (race == 'Black'):
                                        return u'Very happy'
                                    if (race == 'White'):
                                        return u'Not too happy'
                                if (watched_x_rated_movies_last_year == 'No'):
                                    return u'Pretty happy'
                        if (children <= 4):
                            if (age is None):
                                return u'Pretty happy'
                            if (age <= 46):
                                if (age > 40):
                                    return u'Pretty happy'
                                if (age <= 40):
                                    if (race is None):
                                        return u'Pretty happy'
                                    if (race == 'Other'):
                                        return u'Pretty happy'
                                    if (race != 'Other'):
                                        return u'Pretty happy'
                            if (age > 46):
                                if (work_status == 'Keeping house'):
                                    if (children <= 2):
                                        return u'Pretty happy'
                                    if (children > 2):
                                        return u'Very happy'
                                if (work_status == 'Working parttime'):
                                    return u'Pretty happy'
                                if (work_status == 'Temp not working'):
                                    if (race is None):
                                        return u'Pretty happy'
                                    if (race == 'Black'):
                                        return u'Not too happy'
                                    if (race == 'White'):
                                        return u'Pretty happy'
                                if (work_status == 'Working fulltime'):
                                    if (race is None):
                                        return u'Not too happy'
                                    if (race == 'Other'):
                                        return u'Pretty happy'
                                    if (race == 'Black'):
                                        return u'Pretty happy'
                                    if (race == 'White'):
                                        return u'Not too happy'
                                if (work_status == 'Other'):
                                    return u'Very happy'
                                if (work_status == 'School'):
                                    return u'Pretty happy'
                                if (work_status == 'Retired'):
                                    return u'Pretty happy'
                if (children <= 0):
                    if (race is None):
                        return u'Very happy'
                    if (race == 'White'):
                        if (watched_x_rated_movies_last_year is None):
                            return u'Pretty happy'
                        if (watched_x_rated_movies_last_year == 'Yes'):
                            return u'Pretty happy'
                        if (watched_x_rated_movies_last_year == 'No'):
                            if (age is None):
                                return u'Pretty happy'
                            if (age <= 72):
                                if (age > 21):
                                    return u'Pretty happy'
                                if (age <= 21):
                                    return u'Very happy'
                            if (age > 72):
                                return u'Very happy'
                    if (race != 'White'):
                        if (work_status is None):
                            return u'Not too happy'
                        if (work_status != 'Keeping house'):
                            if (age is None):
                                return u'Very happy'
                            if (age <= 45):
                                if (age > 21):
                                    if (work_status == 'Unemployed, laid off'):
                                        return u'Not too happy'
                                    if (work_status != 'Unemployed, laid off'):
                                        return u'Very happy'
                                if (age <= 21):
                                    if (race == 'Other'):
                                        return u'Not too happy'
                                    if (race == 'Black'):
                                        return u'Pretty happy'
                            if (age > 45):
                                return u'Pretty happy'
                        if (work_status == 'Keeping house'):
                            if (race == 'Other'):
                                return u'Pretty happy'
                            if (race == 'Black'):
                                return u'Not too happy'