def predict_happiness_level(work_status=None,
                            children=None,
                            age=None,
                            gender=None,
                            race=None,
                            happiness_of_marriage=None,
                            watched_x_rated_movies_last_year=None):
    """ Predictor for Happiness level from model/5124321c035d071fdc000fda

        Happiness survey to predict the happiness level based on several factors.
        Source
        Social Science Research on Pornography[*]
        [*]Social Science Research on Pornography: http://byuresearch.org/ssrp/data.html
    """
    if (happiness_of_marriage is None):
        return u'Pretty happy'
    if (happiness_of_marriage != 'Very happy'):
        if (happiness_of_marriage == 'Not too happy'):
            if (work_status is None):
                return u'Not too happy'
            if (work_status != 'Unemployed, laid off'):
                if (work_status == 'Retired'):
                    if (age is None):
                        return u'Not too happy'
                    if (age > 64):
                        if (age <= 70):
                            return u'Not too happy'
                        if (age > 70):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 3):
                                return u'Not too happy'
                            if (children <= 3):
                                if (age <= 83):
                                    return u'Pretty happy'
                                if (age > 83):
                                    return u'Not too happy'
                    if (age <= 64):
                        if (children is None):
                            return u'Pretty happy'
                        if (children <= 0):
                            return u'Pretty happy'
                        if (children > 0):
                            if (children > 4):
                                return u'Pretty happy'
                            if (children <= 4):
                                if (gender is None):
                                    return u'Not too happy'
                                if (gender == 'Female'):
                                    return u'Not too happy'
                                if (gender == 'Male'):
                                    return u'Pretty happy'
                if (work_status == 'School'):
                    if (gender is None):
                        return u'Not too happy'
                    if (gender == 'Male'):
                        return u'Pretty happy'
                    if (gender == 'Female'):
                        if (children is None):
                            return u'Not too happy'
                        if (children <= 2):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Very happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                return u'Not too happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                return u'Very happy'
                        if (children > 2):
                            return u'Not too happy'
                if (work_status == 'Other'):
                    if (age is None):
                        return u'Not too happy'
                    if (age > 50):
                        if (age <= 64):
                            return u'Not too happy'
                        if (age > 64):
                            return u'Pretty happy'
                    if (age <= 50):
                        if (children is None):
                            return u'Pretty happy'
                        if (children <= 3):
                            if (race is None):
                                return u'Not too happy'
                            if (race == 'White'):
                                return u'Pretty happy'
                            if (race == 'Black'):
                                return u'Not too happy'
                        if (children > 3):
                            return u'Pretty happy'
                if (work_status == 'Working fulltime'):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Pretty happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        return u'Pretty happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        if (age is None):
                            return u'Not too happy'
                        if (age <= 47):
                            return u'Not too happy'
                        if (age > 47):
                            return u'Pretty happy'
                if (work_status == 'Temp not working'):
                    if (gender is None):
                        return u'Not too happy'
                    if (gender == 'Female'):
                        return u'Not too happy'
                    if (gender == 'Male'):
                        if (race is None):
                            return u'Pretty happy'
                        if (race == 'White'):
                            return u'Pretty happy'
                        if (race != 'White'):
                            if (children is None):
                                return u'Not too happy'
                            if (children > 5):
                                return u'Pretty happy'
                            if (children <= 5):
                                return u'Not too happy'
                if (work_status == 'Working parttime'):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Not too happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        if (race is None):
                            return u'Not too happy'
                        if (race == 'Other'):
                            return u'Pretty happy'
                        if (race != 'Other'):
                            if (age is None):
                                return u'Not too happy'
                            if (age > 52):
                                return u'Pretty happy'
                            if (age <= 52):
                                return u'Not too happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        if (race is None):
                            return u'Pretty happy'
                        if (race == 'Other'):
                            if (gender is None):
                                return u'Not too happy'
                            if (gender == 'Female'):
                                return u'Not too happy'
                            if (gender == 'Male'):
                                return u'Very happy'
                        if (race != 'Other'):
                            return u'Pretty happy'
                if (work_status == 'Keeping house'):
                    if (gender is None):
                        return u'Not too happy'
                    if (gender == 'Male'):
                        if (race is None):
                            return u'Not too happy'
                        if (race == 'White'):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Very happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                return u'Pretty happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                return u'Very happy'
                        if (race != 'White'):
                            return u'Not too happy'
                    if (gender == 'Female'):
                        if (age is None):
                            return u'Not too happy'
                        if (age <= 20):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Not too happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                if (age <= 19):
                                    return u'Not too happy'
                                if (age > 19):
                                    return u'Very happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                return u'Not too happy'
                        if (age > 20):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Not too happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                if (children is None):
                                    return u'Not too happy'
                                if (children <= 2):
                                    return u'Pretty happy'
                                if (children > 2):
                                    return u'Not too happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                return u'Not too happy'
            if (work_status == 'Unemployed, laid off'):
                return u'Not too happy'
        if (happiness_of_marriage == 'Pretty happy'):
            if (work_status is None):
                return u'Pretty happy'
            if (work_status != 'Unemployed, laid off'):
                if (age is None):
                    return u'Pretty happy'
                if (age <= 56):
                    if (age > 24):
                        if (race is None):
                            return u'Pretty happy'
                        if (race == 'White'):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 5):
                                return u'Pretty happy'
                            if (children <= 5):
                                if (watched_x_rated_movies_last_year is None):
                                    return u'Pretty happy'
                                if (watched_x_rated_movies_last_year == 'No'):
                                    return u'Pretty happy'
                                if (watched_x_rated_movies_last_year == 'Yes'):
                                    return u'Pretty happy'
                        if (race != 'White'):
                            if (work_status != 'Temp not working'):
                                if (age <= 41):
                                    return u'Pretty happy'
                                if (age > 41):
                                    return u'Pretty happy'
                            if (work_status == 'Temp not working'):
                                return u'Pretty happy'
                    if (age <= 24):
                        return u'Pretty happy'
                if (age > 56):
                    if (age > 69):
                        if (work_status == 'Working fulltime'):
                            return u'Pretty happy'
                        if (work_status != 'Working fulltime'):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 3):
                                return u'Pretty happy'
                            if (children <= 3):
                                if (work_status == 'Temp not working'):
                                    return u'Very happy'
                                if (work_status != 'Temp not working'):
                                    return u'Pretty happy'
                    if (age <= 69):
                        if (work_status == 'Retired'):
                            return u'Pretty happy'
                        if (work_status == 'School'):
                            return u'Pretty happy'
                        if (work_status == 'Other'):
                            if (age > 58):
                                if (age <= 68):
                                    return u'Pretty happy'
                                if (age > 68):
                                    return u'Very happy'
                            if (age <= 58):
                                if (children is None):
                                    return u'Pretty happy'
                                if (children <= 1):
                                    return u'Pretty happy'
                                if (children > 1):
                                    return u'Not too happy'
                        if (work_status == 'Working fulltime'):
                            return u'Pretty happy'
                        if (work_status == 'Temp not working'):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 7):
                                return u'Very happy'
                            if (children <= 7):
                                return u'Pretty happy'
                        if (work_status == 'Working parttime'):
                            return u'Pretty happy'
                        if (work_status == 'Keeping house'):
                            return u'Pretty happy'
            if (work_status == 'Unemployed, laid off'):
                if (race is None):
                    return u'Pretty happy'
                if (race == 'Other'):
                    if (gender is None):
                        return u'Very happy'
                    if (gender == 'Female'):
                        return u'Pretty happy'
                    if (gender == 'Male'):
                        return u'Very happy'
                if (race != 'Other'):
                    if (age is None):
                        return u'Pretty happy'
                    if (age > 59):
                        if (watched_x_rated_movies_last_year is None):
                            return u'Pretty happy'
                        if (watched_x_rated_movies_last_year == 'No'):
                            return u'Pretty happy'
                        if (watched_x_rated_movies_last_year == 'Yes'):
                            return u'Very happy'
                    if (age <= 59):
                        return u'Pretty happy'
    if (happiness_of_marriage == 'Very happy'):
        if (gender is None):
            return u'Very happy'
        if (gender == 'Female'):
            if (race is None):
                return u'Very happy'
            if (race != 'Black'):
                if (age is None):
                    return u'Very happy'
                if (age <= 58):
                    if (age > 22):
                        if (children is None):
                            return u'Very happy'
                        if (children <= 0):
                            if (race == 'White'):
                                if (work_status is None):
                                    return u'Very happy'
                                if (work_status == 'Unemployed, laid off'):
                                    return u'Pretty happy'
                                if (work_status != 'Unemployed, laid off'):
                                    return u'Very happy'
                            if (race == 'Other'):
                                if (work_status is None):
                                    return u'Pretty happy'
                                if (work_status == 'Working fulltime'):
                                    return u'Pretty happy'
                                if (work_status != 'Working fulltime'):
                                    return u'Very happy'
                        if (children > 0):
                            if (work_status is None):
                                return u'Very happy'
                            if (work_status == 'Unemployed, laid off'):
                                return u'Very happy'
                            if (work_status == 'Keeping house'):
                                if (age <= 35):
                                    return u'Very happy'
                                if (age > 35):
                                    return u'Very happy'
                            if (work_status == 'Working parttime'):
                                if (children <= 2):
                                    return u'Very happy'
                                if (children > 2):
                                    return u'Very happy'
                            if (work_status == 'Temp not working'):
                                if (age <= 47):
                                    return u'Very happy'
                                if (age > 47):
                                    return u'Pretty happy'
                            if (work_status == 'Working fulltime'):
                                if (age <= 48):
                                    return u'Very happy'
                                if (age > 48):
                                    return u'Very happy'
                            if (work_status == 'Other'):
                                return u'Very happy'
                            if (work_status == 'Retired'):
                                if (age <= 49):
                                    return u'Pretty happy'
                                if (age > 49):
                                    return u'Very happy'
                            if (work_status == 'School'):
                                if (watched_x_rated_movies_last_year is None):
                                    return u'Very happy'
                                if (watched_x_rated_movies_last_year == 'No'):
                                    return u'Very happy'
                                if (watched_x_rated_movies_last_year == 'Yes'):
                                    return u'Pretty happy'
                    if (age <= 22):
                        if (work_status is None):
                            return u'Very happy'
                        if (work_status == 'Other'):
                            return u'Not too happy'
                        if (work_status != 'Other'):
                            return u'Very happy'
                if (age > 58):
                    if (work_status is None):
                        return u'Very happy'
                    if (work_status != 'Temp not working'):
                        if (children is None):
                            return u'Very happy'
                        if (children <= 0):
                            if (age > 77):
                                return u'Pretty happy'
                            if (age <= 77):
                                return u'Very happy'
                        if (children > 0):
                            if (work_status != 'Other'):
                                if (age <= 84):
                                    return u'Very happy'
                                if (age > 84):
                                    return u'Very happy'
                            if (work_status == 'Other'):
                                return u'Very happy'
                    if (work_status == 'Temp not working'):
                        if (age <= 67):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 5):
                                return u'Very happy'
                            if (children <= 5):
                                return u'Pretty happy'
                        if (age > 67):
                            return u'Not too happy'
            if (race == 'Black'):
                if (age is None):
                    return u'Very happy'
                if (age <= 29):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Pretty happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        if (age <= 27):
                            if (age > 24):
                                if (work_status is None):
                                    return u'Very happy'
                                if (work_status == 'Working fulltime'):
                                    return u'Very happy'
                                if (work_status != 'Working fulltime'):
                                    return u'Pretty happy'
                            if (age <= 24):
                                if (work_status is None):
                                    return u'Pretty happy'
                                if (work_status == 'Working parttime'):
                                    return u'Very happy'
                                if (work_status != 'Working parttime'):
                                    return u'Pretty happy'
                        if (age > 27):
                            if (children is None):
                                return u'Not too happy'
                            if (children > 1):
                                return u'Not too happy'
                            if (children <= 1):
                                return u'Pretty happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        if (age <= 28):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 0):
                                return u'Pretty happy'
                            if (children <= 0):
                                if (age <= 23):
                                    return u'Pretty happy'
                                if (age > 23):
                                    return u'Very happy'
                        if (age > 28):
                            return u'Pretty happy'
                if (age > 29):
                    if (work_status is None):
                        return u'Very happy'
                    if (work_status == 'Unemployed, laid off'):
                        if (age <= 49):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Very happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                return u'Not too happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                return u'Very happy'
                        if (age > 49):
                            return u'Pretty happy'
                    if (work_status == 'Keeping house'):
                        if (watched_x_rated_movies_last_year is None):
                            return u'Very happy'
                        if (watched_x_rated_movies_last_year == 'No'):
                            return u'Very happy'
                        if (watched_x_rated_movies_last_year == 'Yes'):
                            if (children is None):
                                return u'Pretty happy'
                            if (children > 1):
                                if (age <= 50):
                                    return u'Pretty happy'
                                if (age > 50):
                                    return u'Very happy'
                            if (children <= 1):
                                return u'Very happy'
                    if (work_status == 'Working parttime'):
                        return u'Very happy'
                    if (work_status == 'Temp not working'):
                        return u'Very happy'
                    if (work_status == 'Working fulltime'):
                        if (age <= 35):
                            if (age > 33):
                                if (watched_x_rated_movies_last_year is None):
                                    return u'Pretty happy'
                                if (watched_x_rated_movies_last_year == 'No'):
                                    return u'Very happy'
                                if (watched_x_rated_movies_last_year == 'Yes'):
                                    return u'Not too happy'
                            if (age <= 33):
                                return u'Very happy'
                        if (age > 35):
                            if (age > 55):
                                if (children is None):
                                    return u'Pretty happy'
                                if (children <= 1):
                                    return u'Pretty happy'
                                if (children > 1):
                                    return u'Very happy'
                            if (age <= 55):
                                if (age <= 39):
                                    return u'Pretty happy'
                                if (age > 39):
                                    return u'Very happy'
                    if (work_status == 'Other'):
                        if (age <= 49):
                            return u'Pretty happy'
                        if (age > 49):
                            if (children is None):
                                return u'Very happy'
                            if (children > 5):
                                return u'Pretty happy'
                            if (children <= 5):
                                return u'Very happy'
                    if (work_status == 'School'):
                        return u'Very happy'
                    if (work_status == 'Retired'):
                        if (age <= 71):
                            if (children is None):
                                return u'Very happy'
                            if (children > 4):
                                return u'Pretty happy'
                            if (children <= 4):
                                return u'Very happy'
                        if (age > 71):
                            if (age > 73):
                                if (age <= 82):
                                    return u'Very happy'
                                if (age > 82):
                                    return u'Pretty happy'
                            if (age <= 73):
                                return u'Pretty happy'
        if (gender == 'Male'):
            if (age is None):
                return u'Very happy'
            if (age > 53):
                if (work_status is None):
                    return u'Very happy'
                if (work_status == 'Other'):
                    if (age > 61):
                        return u'Very happy'
                    if (age <= 61):
                        if (age <= 58):
                            return u'Pretty happy'
                        if (age > 58):
                            if (race is None):
                                return u'Not too happy'
                            if (race != 'Other'):
                                if (race == 'Black'):
                                    return u'Very happy'
                                if (race == 'White'):
                                    return u'Not too happy'
                            if (race == 'Other'):
                                return u'Pretty happy'
                if (work_status != 'Other'):
                    if (watched_x_rated_movies_last_year is None):
                        return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'Yes'):
                        return u'Very happy'
                    if (watched_x_rated_movies_last_year == 'No'):
                        if (age <= 82):
                            if (children is None):
                                return u'Very happy'
                            if (children > 2):
                                if (work_status == 'Working parttime'):
                                    return u'Very happy'
                                if (work_status != 'Working parttime'):
                                    return u'Very happy'
                            if (children <= 2):
                                if (work_status == 'Retired'):
                                    return u'Very happy'
                                if (work_status == 'Working fulltime'):
                                    return u'Very happy'
                                if (work_status == 'Temp not working'):
                                    return u'Very happy'
                                if (work_status == 'Working parttime'):
                                    return u'Very happy'
                                if (work_status == 'Unemployed, laid off'):
                                    return u'Very happy'
                                if (work_status == 'Keeping house'):
                                    return u'Very happy'
                        if (age > 82):
                            return u'Very happy'
            if (age <= 53):
                if (work_status is None):
                    return u'Very happy'
                if (work_status == 'Working fulltime'):
                    if (age > 22):
                        if (race is None):
                            return u'Very happy'
                        if (race == 'Black'):
                            return u'Very happy'
                        if (race != 'Black'):
                            if (age > 31):
                                if (age <= 38):
                                    return u'Very happy'
                                if (age > 38):
                                    return u'Very happy'
                            if (age <= 31):
                                if (age <= 30):
                                    return u'Very happy'
                                if (age > 30):
                                    return u'Pretty happy'
                    if (age <= 22):
                        if (age <= 21):
                            return u'Very happy'
                        if (age > 21):
                            if (watched_x_rated_movies_last_year is None):
                                return u'Pretty happy'
                            if (watched_x_rated_movies_last_year == 'Yes'):
                                return u'Pretty happy'
                            if (watched_x_rated_movies_last_year == 'No'):
                                if (race is None):
                                    return u'Pretty happy'
                                if (race == 'Other'):
                                    return u'Very happy'
                                if (race != 'Other'):
                                    return u'Pretty happy'
                if (work_status != 'Working fulltime'):
                    if (age > 32):
                        return u'Very happy'
                    if (age <= 32):
                        if (race is None):
                            return u'Pretty happy'
                        if (race == 'Black'):
                            if (age > 25):
                                if (children is None):
                                    return u'Pretty happy'
                                if (children <= 0):
                                    return u'Very happy'
                                if (children > 0):
                                    return u'Pretty happy'
                            if (age <= 25):
                                return u'Not too happy'
                        if (race != 'Black'):
                            return u'Pretty happy'