def predict_watched_x_rated_movies_last_year(work_status=None,
                                             marital_status=None,
                                             children=None,
                                             age=None,
                                             gender=None,
                                             race=None,
                                             happiness_level=None,
                                             happiness_of_marriage=None):
    """ Predictor for Watched x-rated movies last year from model/5124338b3b56352c72000829

        Happiness survey to predict if x-rated movies were watched in the last year, based on several factors.
        Source
        Social Science Research on Pornography[*]
        [*]Social Science Research on Pornography: http://byuresearch.org/ssrp/data.html
    """
    if (age is None):
        return u'No'
    if (age > 47):
        if (age <= 62):
            if (gender is None):
                return u'No'
            if (gender == 'Female'):
                if (age <= 54):
                    if (marital_status is None):
                        return u'No'
                    if (marital_status != 'Divorced'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Other'):
                            return u'No'
                        if (work_status != 'Other'):
                            if (work_status == 'Unemployed, laid off'):
                                return u'No'
                            if (work_status == 'Keeping house'):
                                if (happiness_of_marriage is None):
                                    return u'No'
                                if (happiness_of_marriage == 'Very happy'):
                                    return u'No'
                                if (happiness_of_marriage == 'Not too happy'):
                                    return u'No'
                                if (happiness_of_marriage == 'Pretty happy'):
                                    return u'No'
                            if (work_status == 'Working parttime'):
                                if (happiness_of_marriage is None):
                                    return u'No'
                                if (happiness_of_marriage == 'Not too happy'):
                                    return u'No'
                                if (happiness_of_marriage != 'Not too happy'):
                                    return u'No'
                            if (work_status == 'Temp not working'):
                                return u'No'
                            if (work_status == 'Working fulltime'):
                                if (happiness_of_marriage is None):
                                    return u'No'
                                if (happiness_of_marriage == 'Very happy'):
                                    return u'No'
                                if (happiness_of_marriage != 'Very happy'):
                                    return u'No'
                            if (work_status == 'Retired'):
                                return u'No'
                            if (work_status == 'School'):
                                return u'No'
                    if (marital_status == 'Divorced'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Temp not working'):
                            if (happiness_level is None):
                                return u'No'
                            if (happiness_level != 'Pretty happy'):
                                if (race is None):
                                    return u'Yes'
                                if (race == 'Black'):
                                    return u'No'
                                if (race == 'White'):
                                    return u'Yes'
                            if (happiness_level == 'Pretty happy'):
                                return u'No'
                        if (work_status != 'Temp not working'):
                            if (race is None):
                                return u'No'
                            if (race == 'White'):
                                return u'No'
                            if (race == 'Black'):
                                if (work_status == 'Other'):
                                    return u'Yes'
                                if (work_status != 'Other'):
                                    return u'No'
                            if (race == 'Other'):
                                if (age <= 50):
                                    return u'Yes'
                                if (age > 50):
                                    return u'No'
                if (age > 54):
                    if (happiness_of_marriage is None):
                        return u'No'
                    if (happiness_of_marriage != 'Not too happy'):
                        if (age <= 61):
                            if (children is None):
                                return u'No'
                            if (children > 2):
                                if (work_status is None):
                                    return u'No'
                                if (work_status == 'Working parttime'):
                                    return u'No'
                                if (work_status != 'Working parttime'):
                                    return u'No'
                            if (children <= 2):
                                if (work_status is None):
                                    return u'No'
                                if (work_status == 'Working parttime'):
                                    return u'No'
                                if (work_status != 'Working parttime'):
                                    return u'No'
                        if (age > 61):
                            return u'No'
                    if (happiness_of_marriage == 'Not too happy'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Temp not working'):
                            return u'Yes'
                        if (work_status != 'Temp not working'):
                            return u'No'
            if (gender == 'Male'):
                if (marital_status is None):
                    return u'No'
                if (marital_status == 'Married'):
                    if (race is None):
                        return u'No'
                    if (race != 'Black'):
                        if (age <= 53):
                            if (work_status is None):
                                return u'No'
                            if (work_status != 'Temp not working'):
                                if (work_status == 'Retired'):
                                    return u'No'
                                if (work_status != 'Retired'):
                                    return u'No'
                            if (work_status == 'Temp not working'):
                                if (happiness_of_marriage is None):
                                    return u'No'
                                if (happiness_of_marriage == 'Very happy'):
                                    return u'No'
                                if (happiness_of_marriage != 'Very happy'):
                                    return u'Yes'
                        if (age > 53):
                            if (happiness_of_marriage is None):
                                return u'No'
                            if (happiness_of_marriage == 'Pretty happy'):
                                return u'No'
                            if (happiness_of_marriage == 'Not too happy'):
                                return u'No'
                            if (happiness_of_marriage == 'Very happy'):
                                if (children is None):
                                    return u'No'
                                if (children <= 1):
                                    return u'No'
                                if (children > 1):
                                    return u'No'
                    if (race == 'Black'):
                        return u'No'
                if (marital_status != 'Married'):
                    if (work_status is None):
                        return u'No'
                    if (work_status != 'Temp not working'):
                        if (age <= 52):
                            if (work_status != 'Working parttime'):
                                return u'No'
                            if (work_status == 'Working parttime'):
                                if (age <= 51):
                                    return u'No'
                                if (age > 51):
                                    return u'Yes'
                        if (age > 52):
                            if (race is None):
                                return u'No'
                            if (race != 'Black'):
                                if (happiness_level is None):
                                    return u'No'
                                if (happiness_level == 'Pretty happy'):
                                    return u'No'
                                if (happiness_level != 'Pretty happy'):
                                    return u'No'
                            if (race == 'Black'):
                                return u'No'
                    if (work_status == 'Temp not working'):
                        return u'No'
        if (age > 62):
            if (gender is None):
                return u'No'
            if (gender == 'Female'):
                if (age <= 73):
                    if (work_status is None):
                        return u'No'
                    if (work_status != 'Working fulltime'):
                        if (marital_status is None):
                            return u'No'
                        if (marital_status == 'Separated'):
                            return u'No'
                        if (marital_status != 'Separated'):
                            if (happiness_of_marriage is None):
                                return u'No'
                            if (happiness_of_marriage != 'Not too happy'):
                                if (race is None):
                                    return u'No'
                                if (race == 'Other'):
                                    return u'No'
                                if (race == 'Black'):
                                    return u'No'
                                if (race == 'White'):
                                    return u'No'
                            if (happiness_of_marriage == 'Not too happy'):
                                return u'No'
                    if (work_status == 'Working fulltime'):
                        if (happiness_level is None):
                            return u'No'
                        if (happiness_level == 'Not too happy'):
                            if (children is None):
                                return u'No'
                            if (children > 1):
                                return u'No'
                            if (children <= 1):
                                if (happiness_of_marriage is None):
                                    return u'Yes'
                                if (happiness_of_marriage == 'Not too happy'):
                                    return u'No'
                                if (happiness_of_marriage == 'Pretty happy'):
                                    return u'Yes'
                        if (happiness_level != 'Not too happy'):
                            if (race is None):
                                return u'No'
                            if (race != 'Other'):
                                return u'No'
                            if (race == 'Other'):
                                if (marital_status is None):
                                    return u'Yes'
                                if (marital_status == 'Married'):
                                    return u'No'
                                if (marital_status != 'Married'):
                                    return u'Yes'
                if (age > 73):
                    if (race is None):
                        return u'No'
                    if (race == 'White'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Working parttime'):
                            return u'No'
                        if (work_status != 'Working parttime'):
                            if (work_status != 'Other'):
                                if (work_status == 'Retired'):
                                    return u'No'
                                if (work_status == 'School'):
                                    return u'No'
                                if (work_status == 'Working fulltime'):
                                    return u'No'
                                if (work_status == 'Temp not working'):
                                    return u'No'
                                if (work_status == 'Keeping house'):
                                    return u'No'
                            if (work_status == 'Other'):
                                return u'No'
                    if (race == 'Black'):
                        return u'No'
                    if (race == 'Other'):
                        if (happiness_level is None):
                            return u'No'
                        if (happiness_level == 'Very happy'):
                            return u'Yes'
                        if (happiness_level != 'Very happy'):
                            return u'No'
            if (gender == 'Male'):
                if (race is None):
                    return u'No'
                if (race == 'Black'):
                    if (work_status is None):
                        return u'No'
                    if (work_status != 'Temp not working'):
                        if (happiness_of_marriage is None):
                            return u'No'
                        if (happiness_of_marriage == 'Very happy'):
                            return u'No'
                        if (happiness_of_marriage != 'Very happy'):
                            return u'No'
                    if (work_status == 'Temp not working'):
                        return u'Yes'
                if (race != 'Black'):
                    if (work_status is None):
                        return u'No'
                    if (work_status == 'Unemployed, laid off'):
                        if (happiness_of_marriage is None):
                            return u'No'
                        if (happiness_of_marriage == 'Very happy'):
                            return u'No'
                        if (happiness_of_marriage == 'Pretty happy'):
                            if (happiness_level is None):
                                return u'Yes'
                            if (happiness_level == 'Pretty happy'):
                                return u'No'
                            if (happiness_level == 'Very happy'):
                                return u'Yes'
                    if (work_status == 'Keeping house'):
                        return u'No'
                    if (work_status == 'Working parttime'):
                        return u'No'
                    if (work_status == 'Temp not working'):
                        return u'No'
                    if (work_status == 'Working fulltime'):
                        return u'No'
                    if (work_status == 'Other'):
                        return u'No'
                    if (work_status == 'School'):
                        if (happiness_of_marriage is None):
                            return u'Yes'
                        if (happiness_of_marriage == 'Very happy'):
                            return u'Yes'
                        if (happiness_of_marriage == 'Pretty happy'):
                            return u'No'
                    if (work_status == 'Retired'):
                        if (happiness_of_marriage is None):
                            return u'No'
                        if (happiness_of_marriage == 'Very happy'):
                            if (children is None):
                                return u'No'
                            if (children > 5):
                                return u'No'
                            if (children <= 5):
                                if (age <= 86):
                                    return u'No'
                                if (age > 86):
                                    return u'No'
                        if (happiness_of_marriage != 'Very happy'):
                            return u'No'
    if (age <= 47):
        if (gender is None):
            return u'No'
        if (gender == 'Female'):
            if (age > 30):
                if (race is None):
                    return u'No'
                if (race == 'Black'):
                    if (age > 42):
                        if (happiness_of_marriage is None):
                            return u'No'
                        if (happiness_of_marriage == 'Very happy'):
                            return u'No'
                        if (happiness_of_marriage != 'Very happy'):
                            return u'No'
                    if (age <= 42):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Other'):
                            if (age > 34):
                                return u'Yes'
                            if (age <= 34):
                                return u'No'
                        if (work_status != 'Other'):
                            if (work_status == 'Unemployed, laid off'):
                                return u'No'
                            if (work_status == 'Keeping house'):
                                return u'No'
                            if (work_status == 'Working parttime'):
                                return u'No'
                            if (work_status == 'Temp not working'):
                                if (marital_status is None):
                                    return u'No'
                                if (marital_status == 'Divorced'):
                                    return u'Yes'
                                if (marital_status != 'Divorced'):
                                    return u'No'
                            if (work_status == 'Working fulltime'):
                                if (children is None):
                                    return u'No'
                                if (children <= 1):
                                    return u'No'
                                if (children > 1):
                                    return u'No'
                            if (work_status == 'Retired'):
                                return u'No'
                            if (work_status == 'School'):
                                return u'No'
                if (race != 'Black'):
                    if (work_status is None):
                        return u'No'
                    if (work_status == 'Unemployed, laid off'):
                        return u'No'
                    if (work_status == 'Keeping house'):
                        if (age <= 32):
                            return u'No'
                        if (age > 32):
                            if (marital_status is None):
                                return u'No'
                            if (marital_status != 'Separated'):
                                if (happiness_of_marriage is None):
                                    return u'No'
                                if (happiness_of_marriage == 'Not too happy'):
                                    return u'No'
                                if (happiness_of_marriage != 'Not too happy'):
                                    return u'No'
                            if (marital_status == 'Separated'):
                                if (age <= 33):
                                    return u'Yes'
                                if (age > 33):
                                    return u'No'
                    if (work_status == 'Working parttime'):
                        if (happiness_level is None):
                            return u'No'
                        if (happiness_level == 'Not too happy'):
                            if (happiness_of_marriage is None):
                                return u'No'
                            if (happiness_of_marriage != 'Pretty happy'):
                                if (age <= 33):
                                    return u'Yes'
                                if (age > 33):
                                    return u'No'
                            if (happiness_of_marriage == 'Pretty happy'):
                                if (children is None):
                                    return u'Yes'
                                if (children <= 5):
                                    return u'Yes'
                                if (children > 5):
                                    return u'No'
                        if (happiness_level != 'Not too happy'):
                            if (happiness_of_marriage is None):
                                return u'No'
                            if (happiness_of_marriage == 'Pretty happy'):
                                return u'No'
                            if (happiness_of_marriage == 'Not too happy'):
                                return u'No'
                            if (happiness_of_marriage == 'Very happy'):
                                if (age <= 34):
                                    return u'No'
                                if (age > 34):
                                    return u'No'
                    if (work_status == 'Temp not working'):
                        return u'No'
                    if (work_status == 'Working fulltime'):
                        if (age <= 35):
                            if (marital_status is None):
                                return u'No'
                            if (marital_status != 'Never Married'):
                                if (marital_status == 'Widowed'):
                                    return u'No'
                                if (marital_status != 'Widowed'):
                                    return u'No'
                            if (marital_status == 'Never Married'):
                                return u'No'
                        if (age > 35):
                            if (age > 46):
                                return u'No'
                            if (age <= 46):
                                if (children is None):
                                    return u'No'
                                if (children <= 5):
                                    return u'No'
                                if (children > 5):
                                    return u'No'
                    if (work_status == 'Other'):
                        return u'No'
                    if (work_status == 'Retired'):
                        if (children is None):
                            return u'No'
                        if (children <= 2):
                            return u'No'
                        if (children > 2):
                            return u'Yes'
                    if (work_status == 'School'):
                        return u'No'
            if (age <= 30):
                if (happiness_level is None):
                    return u'No'
                if (happiness_level == 'Not too happy'):
                    if (age > 26):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'School'):
                            return u'No'
                        if (work_status == 'Other'):
                            return u'No'
                        if (work_status == 'Working fulltime'):
                            if (happiness_of_marriage is None):
                                return u'No'
                            if (happiness_of_marriage != 'Very happy'):
                                if (age <= 29):
                                    return u'No'
                                if (age > 29):
                                    return u'Yes'
                            if (happiness_of_marriage == 'Very happy'):
                                return u'Yes'
                        if (work_status == 'Temp not working'):
                            return u'No'
                        if (work_status == 'Working parttime'):
                            return u'No'
                        if (work_status == 'Keeping house'):
                            return u'No'
                        if (work_status == 'Unemployed, laid off'):
                            if (age > 27):
                                return u'No'
                            if (age <= 27):
                                return u'Yes'
                    if (age <= 26):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Unemployed, laid off'):
                            if (marital_status is None):
                                return u'Yes'
                            if (marital_status != 'Married'):
                                return u'Yes'
                            if (marital_status == 'Married'):
                                return u'No'
                        if (work_status != 'Unemployed, laid off'):
                            if (work_status != 'Temp not working'):
                                if (marital_status is None):
                                    return u'No'
                                if (marital_status == 'Widowed'):
                                    return u'No'
                                if (marital_status != 'Widowed'):
                                    return u'No'
                            if (work_status == 'Temp not working'):
                                return u'Yes'
                if (happiness_level != 'Not too happy'):
                    if (happiness_of_marriage is None):
                        return u'No'
                    if (happiness_of_marriage == 'Pretty happy'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'School'):
                            if (race is None):
                                return u'No'
                            if (race != 'Black'):
                                if (children is None):
                                    return u'No'
                                if (children <= 4):
                                    return u'No'
                                if (children > 4):
                                    return u'Yes'
                            if (race == 'Black'):
                                return u'Yes'
                        if (work_status == 'Other'):
                            return u'No'
                        if (work_status == 'Working fulltime'):
                            return u'No'
                        if (work_status == 'Temp not working'):
                            if (age > 28):
                                return u'No'
                            if (age <= 28):
                                if (age <= 24):
                                    return u'No'
                                if (age > 24):
                                    return u'Yes'
                        if (work_status == 'Working parttime'):
                            if (race is None):
                                return u'No'
                            if (race != 'Black'):
                                if (children is None):
                                    return u'No'
                                if (children <= 3):
                                    return u'No'
                                if (children > 3):
                                    return u'Yes'
                            if (race == 'Black'):
                                return u'Yes'
                        if (work_status == 'Keeping house'):
                            return u'No'
                        if (work_status == 'Unemployed, laid off'):
                            return u'No'
                    if (happiness_of_marriage == 'Not too happy'):
                        if (age <= 23):
                            if (children is None):
                                return u'Yes'
                            if (children > 2):
                                return u'No'
                            if (children <= 2):
                                return u'Yes'
                        if (age > 23):
                            return u'No'
                    if (happiness_of_marriage == 'Very happy'):
                        if (age <= 21):
                            return u'No'
                        if (age > 21):
                            if (work_status is None):
                                return u'No'
                            if (work_status != 'Working fulltime'):
                                if (age <= 22):
                                    return u'No'
                                if (age > 22):
                                    return u'No'
                            if (work_status == 'Working fulltime'):
                                if (age <= 22):
                                    return u'No'
                                if (age > 22):
                                    return u'No'
        if (gender == 'Male'):
            if (marital_status is None):
                return u'No'
            if (marital_status != 'Married'):
                if (age <= 27):
                    if (work_status is None):
                        return u'Yes'
                    if (work_status != 'Temp not working'):
                        if (work_status == 'School'):
                            return u'Yes'
                        if (work_status == 'Retired'):
                            return u'No'
                        if (work_status == 'Other'):
                            if (age > 22):
                                return u'Yes'
                            if (age <= 22):
                                return u'No'
                        if (work_status == 'Working fulltime'):
                            if (happiness_level is None):
                                return u'Yes'
                            if (happiness_level != 'Not too happy'):
                                if (marital_status == 'Never Married'):
                                    return u'Yes'
                                if (marital_status != 'Never Married'):
                                    return u'Yes'
                            if (happiness_level == 'Not too happy'):
                                return u'Yes'
                        if (work_status == 'Working parttime'):
                            if (race is None):
                                return u'Yes'
                            if (race != 'White'):
                                return u'Yes'
                            if (race == 'White'):
                                if (marital_status == 'Divorced'):
                                    return u'Yes'
                                if (marital_status != 'Divorced'):
                                    return u'No'
                        if (work_status == 'Unemployed, laid off'):
                            if (age > 26):
                                if (race is None):
                                    return u'Yes'
                                if (race == 'White'):
                                    return u'No'
                                if (race != 'White'):
                                    return u'Yes'
                            if (age <= 26):
                                if (marital_status == 'Widowed'):
                                    return u'Yes'
                                if (marital_status != 'Widowed'):
                                    return u'No'
                        if (work_status == 'Keeping house'):
                            if (marital_status != 'Divorced'):
                                return u'Yes'
                            if (marital_status == 'Divorced'):
                                return u'No'
                    if (work_status == 'Temp not working'):
                        return u'Yes'
                if (age > 27):
                    if (happiness_level is None):
                        return u'No'
                    if (happiness_level != 'Very happy'):
                        if (age <= 38):
                            if (happiness_level == 'Pretty happy'):
                                if (marital_status == 'Widowed'):
                                    return u'No'
                                if (marital_status != 'Widowed'):
                                    return u'No'
                            if (happiness_level == 'Not too happy'):
                                return u'Yes'
                        if (age > 38):
                            if (work_status is None):
                                return u'No'
                            if (work_status == 'Keeping house'):
                                return u'No'
                            if (work_status == 'Unemployed, laid off'):
                                return u'No'
                            if (work_status == 'Working parttime'):
                                if (children is None):
                                    return u'No'
                                if (children <= 0):
                                    return u'Yes'
                                if (children > 0):
                                    return u'No'
                            if (work_status == 'Temp not working'):
                                return u'No'
                            if (work_status == 'Working fulltime'):
                                if (race is None):
                                    return u'No'
                                if (race == 'Black'):
                                    return u'Yes'
                                if (race != 'Black'):
                                    return u'No'
                            if (work_status == 'Other'):
                                return u'No'
                            if (work_status == 'Retired'):
                                if (marital_status == 'Divorced'):
                                    return u'No'
                                if (marital_status != 'Divorced'):
                                    return u'Yes'
                            if (work_status == 'School'):
                                if (age <= 41):
                                    return u'Yes'
                                if (age > 41):
                                    return u'No'
                    if (happiness_level == 'Very happy'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'School'):
                            return u'No'
                        if (work_status != 'School'):
                            if (marital_status != 'Separated'):
                                if (marital_status == 'Never Married'):
                                    return u'No'
                                if (marital_status != 'Never Married'):
                                    return u'No'
                            if (marital_status == 'Separated'):
                                if (race is None):
                                    return u'Yes'
                                if (race == 'Other'):
                                    return u'No'
                                if (race != 'Other'):
                                    return u'Yes'
            if (marital_status == 'Married'):
                if (age <= 38):
                    if (happiness_of_marriage is None):
                        return u'No'
                    if (happiness_of_marriage == 'Pretty happy'):
                        if (age <= 25):
                            return u'Yes'
                        if (age > 25):
                            if (race is None):
                                return u'No'
                            if (race != 'Black'):
                                if (work_status is None):
                                    return u'No'
                                if (work_status == 'School'):
                                    return u'No'
                                if (work_status == 'Retired'):
                                    return u'No'
                                if (work_status == 'Other'):
                                    return u'No'
                                if (work_status == 'Working fulltime'):
                                    return u'No'
                                if (work_status == 'Temp not working'):
                                    return u'No'
                                if (work_status == 'Working parttime'):
                                    return u'No'
                                if (work_status == 'Unemployed, laid off'):
                                    return u'No'
                                if (work_status == 'Keeping house'):
                                    return u'No'
                            if (race == 'Black'):
                                return u'No'
                    if (happiness_of_marriage == 'Not too happy'):
                        if (race is None):
                            return u'Yes'
                        if (race == 'Other'):
                            if (happiness_level is None):
                                return u'No'
                            if (happiness_level != 'Not too happy'):
                                return u'No'
                            if (happiness_level == 'Not too happy'):
                                return u'Yes'
                        if (race != 'Other'):
                            return u'Yes'
                    if (happiness_of_marriage == 'Very happy'):
                        if (race is None):
                            return u'No'
                        if (race == 'Black'):
                            if (children is None):
                                return u'Yes'
                            if (children > 0):
                                return u'Yes'
                            if (children <= 0):
                                return u'No'
                        if (race != 'Black'):
                            if (age > 22):
                                if (children is None):
                                    return u'No'
                                if (children <= 1):
                                    return u'No'
                                if (children > 1):
                                    return u'No'
                            if (age <= 22):
                                return u'Yes'
                if (age > 38):
                    if (happiness_level is None):
                        return u'No'
                    if (happiness_level != 'Very happy'):
                        if (race is None):
                            return u'No'
                        if (race == 'Black'):
                            if (age > 41):
                                if (work_status is None):
                                    return u'No'
                                if (work_status == 'Keeping house'):
                                    return u'Yes'
                                if (work_status != 'Keeping house'):
                                    return u'No'
                            if (age <= 41):
                                if (work_status is None):
                                    return u'Yes'
                                if (work_status == 'Unemployed, laid off'):
                                    return u'No'
                                if (work_status != 'Unemployed, laid off'):
                                    return u'Yes'
                        if (race != 'Black'):
                            if (happiness_level == 'Pretty happy'):
                                if (children is None):
                                    return u'No'
                                if (children <= 0):
                                    return u'No'
                                if (children > 0):
                                    return u'No'
                            if (happiness_level == 'Not too happy'):
                                return u'No'
                    if (happiness_level == 'Very happy'):
                        if (work_status is None):
                            return u'No'
                        if (work_status == 'Temp not working'):
                            return u'No'
                        if (work_status != 'Temp not working'):
                            if (children is None):
                                return u'No'
                            if (children > 4):
                                return u'No'
                            if (children <= 4):
                                if (age <= 39):
                                    return u'No'
                                if (age > 39):
                                    return u'No'