import os
import sys
import cv2
import numpy
import theano
import pdb

path = sys.argv[1]
outdir = sys.argv[2]

i = 0
for dirname, dirnames, filenames in os.walk(path):
	if len(dirnames) == 0:
		dirnames = [""]
	for subdirname in dirnames:
		subject_path = os.path.join(dirname, subdirname)
		print "working", subject_path		
		for filename in os.listdir(subject_path):			
			if filename.startswith(".") or not filename.endswith(".pgm"):
				continue
			fullname = os.path.join(subject_path, filename)
			pngname = "%s.png" % filename
			outname = os.path.join(outdir, pngname)
			print "\tconverting", fullname, "to", outname
			im = cv2.imread(fullname, cv2.IMREAD_GRAYSCALE)
			im = cv2.resize(im, (92, 112))			
			cv2.imwrite(outname, im)
