import sys
import os
import json
import pdb

path = sys.argv[1]

times = []
calls = []
iters = []

for dirname, dirnames, filenames in os.walk(path):
	for sdname in dirnames:
		con = os.path.join(path, sdname, 'config.json')		
		
		with open(con, 'rb') as f:
			config = json.load(f)
		
		times.append(config['msecs'])
		if config.has_key('calls'):
			calls.append(config['calls'])
		if config.has_key('num_it'):
			iters.append(config['num_it'])

print "avg msecs: %.2f" % (float(sum(times))/float(len(times)))
if len(calls) > 0:
	print "avg calls: %.2f" % (float(sum(calls))/float(len(calls)))
if len(iters) > 0:
	print "avg iters: %.2f" % (float(sum(iters))/float(len(iters)))